### Install the package

Install cdplib via pipenv: `pipenv install -e git+https://readonly:readonly@intra.acdp.at/gogs/tanja/cdplib.git#egg=cdplib  `


#### Install via Pipfile

* To install the master branch: Add to the \[packages\] section of the Pipfile the line:
cdplib = {editable = true, git = "https://readonly:readonly@intra.acdp.at/gogs/tanja/cdplib.git"}

* To install any other branch:
cdplib = {editable = true, ref = "BRANCH", git = "https://readonly:readonly@intra.acdp.at/gogs/tanja/cdplib.git"}


### Adding new Features/Folders/Packages
How to set up a new Package: 

* Copy folder to respository into cdplib folder 
* Add the Package/Folder name to cdplib/__init__.py 
    * Open it and add all python packages which schould be included
    * Package name is Preprocessing the line to add would be: from .Preprocessing import *  
* Add a cdplib/package_name/__init__.py file inside the new package folder 
    * Open it and add all python skript which schould be included
    * Script name is FeatureSelection.py the line to add would be: from .FeatureSelection import * 

### Import into Script 

`from cdplib.db_migration import DataFrameToCollection`

### Update lib locally or in Docker

* If changes are made run `pipenv update` in the wokring directory

